com.corticon.eclipse.core.util

## Class MatrixModel

- java.lang.Object
- - com.corticon.eclipse.core.util.MatrixModel

- Direct Known Subclasses:
    TableTreeModel

      public class MatrixModel
      extends java.lang.Object

  This class defines a simple non-EMF model intended for use with the Matrix control. The model is implemented as an ArrayList of ArrayLists. In this default implementation, each cell is represented by a MatrixCell instance that contains a String value plus a validity status indicator.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `MatrixModel.MatrixModelRow`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.ArrayList<MatrixModel.MatrixModelRow>` | `iListMatrixModelRows`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MatrixModel()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `java.lang.String` | `getContentAt(int aiColumnIndex, int aiRowIndex)`
    `MatrixModel.MatrixModelRow` | `getMatrixModelRow(int aiRowIndex)`
    `int` | `getRowCount()`
    `boolean` | `isCellValid(int aiColumnIndex, int aiRowIndex)`
    `protected MatrixCell` | `makeMatrixCell(java.lang.String astrValue)`
    `protected MatrixModel.MatrixModelRow` | `makeMatrixModelRow()`
    `void` | `setCellValid(int aiColumnIndex, int aiRowIndex, boolean abValid)`
    `void` | `setContentAt(int aiColumnIndex, int aiRowIndex, java.lang.String astrValue)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### iListMatrixModelRows

          protected java.util.ArrayList<MatrixModel.MatrixModelRow> iListMatrixModelRows

  - ### Constructor Detail

    - #### MatrixModel

          public MatrixModel()

  - ### Method Detail

    - #### setCellValid

          public void setCellValid(int aiColumnIndex,
                          int aiRowIndex,
                          boolean abValid)

    - #### isCellValid

          public boolean isCellValid(int aiColumnIndex,
                            int aiRowIndex)

    - #### setContentAt

          public void setContentAt(int aiColumnIndex,
                          int aiRowIndex,
                          java.lang.String astrValue)

    - #### getContentAt

          public java.lang.String getContentAt(int aiColumnIndex,
                                      int aiRowIndex)

    - #### clear

          public void clear()

    - #### getRowCount

          public int getRowCount()

    - #### makeMatrixCell

          protected MatrixCell makeMatrixCell(java.lang.String astrValue)

    - #### makeMatrixModelRow

          protected MatrixModel.MatrixModelRow makeMatrixModelRow()

    - #### getMatrixModelRow

          public MatrixModel.MatrixModelRow getMatrixModelRow(int aiRowIndex)

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.